from dataclasses import dataclass
from typing import Dict


@dataclass
class TraceInfoAdapter:
    """
    TODO This class should set up the Open Telemetry tracing stack. To be done later.
    """

    @staticmethod
    def create_produce_span(message_id: str) -> Dict[str, str]:
        return {"trace-id": message_id}
